# List supported tokens

{% hint style="warning" %}
**Pre-release** — The Intents Connect API is currently in development. If you're interested in early access, get in touch with the team.
{% endhint %}

## List supported tokens

> Returns filtered input and output token lists fetched from 1click and cached by the API.

```json
{"openapi":"3.0.3","info":{"title":"Intents Connect API","version":"1.0"},"servers":[{"url":"https://intents-connect-alpha-api.aurora.dev"}],"paths":{"/api/v1/supported_tokens":{"get":{"description":"Returns filtered input and output token lists fetched from 1click and cached by the API.","parameters":[{"description":"Optional flow filter. Use outOperation to swap supported input/output token lists for EVM-origin out-operation flows.","in":"query","name":"flow","schema":{"enum":["inOperation","outOperation"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.tokenResponse"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Request"},"502":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Gateway"}},"summary":"List supported tokens","tags":["Tokens"]}}},"components":{"schemas":{"controllers.tokenResponse":{"properties":{"result":{"$ref":"#/components/schemas/controllers.supportedTokensResult"}},"type":"object"},"controllers.supportedTokensResult":{"properties":{"in":{"items":{"$ref":"#/components/schemas/controllers.token"},"type":"array"},"out":{"items":{"$ref":"#/components/schemas/controllers.token"},"type":"array"}},"type":"object"},"controllers.token":{"properties":{"assetId":{"type":"string"},"blockchain":{"type":"string"},"contractAddress":{"type":"string"},"decimals":{"type":"integer"},"price":{"type":"number"},"priceUpdatedAt":{"type":"string"},"symbol":{"type":"string"}},"type":"object"},"controllers.errorResponse":{"properties":{"error":{"type":"string"}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intents.aurora.dev/intents-connect/intents-connect-api-reference/list-supported-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
